---
title: "Create / edit a config pack"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/packs.save
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Create / edit a config pack

Create or update a config pack: settings (limitMode free/safe, restEnabled, workStart/workEnd, restDays, replyOutsideHours, limitOverrides), playbookRef (nurture), accountTags, workspace items to ensure (warmChannels, watchKeywords, templates) and autoTags (accounts that get one of these tags get the pack automatically). Updating needs expectedRevision. Validation errors come back in errors[].

Create or update a config pack: settings (limitMode free/safe, restEnabled, workStart/workEnd, restDays, replyOutsideHours, limitOverrides), playbookRef (nurture), accountTags, workspace items to ensure (warmChannels, watchKeywords, templates) and autoTags (accounts that get one of these tags get the pack automatically). Updating needs expectedRevision. Validation errors come back in errors[].

## Overview

| Name | Value |
| --- | --- |
| Code | `packs.save` |
| Scope needed | `automation.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager` |
| In the app | Automation → Config packs → Save |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `uuid` | No |   |
| `name` | `text` | Yes |   |
| `description` | `text` | No |   |
| `content` | `object` | Yes |   |
| `autoTags` | `text[]` | No |   |
| `expectedRevision` | `integer` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/packs.save \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"…","content":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `id` | `text` | Yes |
| `revision` | `null \| number` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "id": "00000000-0000-4000-8000-000000000000",
    "revision": 1
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "packs.save"`. Tool name when listed: `packs_save`.
